<?php
namespace Blog\Middleware;

use Blog\Http\Request;
use Blog\Http\Response;

/**
 * Interface für Middleware-Komponenten.
 *
 * Definiert eine Methode zur Bearbeitung von HTTP-Anfragen und -Antworten.
 */
interface MiddlewareInterface {
  /**
   * Bearbeitet die eingehende Anfrage und Antwort.
   *
   * @param Request  $request  Das aktuelle Request-Objekt
   * @param Response $response Das aktuelle Response-Objekt
   * @return bool    true, wenn die Anfrage fortgesetzt werden darf, sonst false
   */
  public function handle(Request $request, Response $response): bool;
}
