# Projektabschlussbericht – Webframework in PHP

## 1. Projektübersicht

Das Ziel des Projekts war die Entwicklung eines kleinen Webframeworks in PHP, auf dessen Basis ein einfacher Blog mit Benutzeranmeldung realisiert wurde. Das Projekt wurde gemäß den im Pflichtenheft definierten Anforderungen umgesetzt.

## 2. Projektverlauf

Das Projekt wurde in vier Meilensteine unterteilt:
1. **Entwurf des Frameworks**
2. **Implementierung der Kernfunktionen**
3. **Entwicklung des Blog-Systems**
4. **Testen und Dokumentation**

Alle Meilensteine wurden im vorgesehenen Zeitrahmen abgeschlossen. Auftretende Probleme konnten zeitnah gelöst werden.

## 3. Zielerreichung

- **Funktionale Anforderungen:**  
  Alle im Pflichtenheft definierten funktionalen Anforderungen wurden vollständig umgesetzt. Das Framework unterstützt Routing, MVC, Datenbankanbindung (PDO) und ein Template-System. Der Blog bietet Benutzeranmeldung, Beitragsverwaltung und ein responsives Design.

- **Nicht-funktionale Anforderungen:**  
  Sicherheitsmaßnahmen wie Passwort-Hashing und CSRF-Schutz wurden implementiert. Die Performance entspricht den Erwartungen, und die Dokumentation ist vollständig.

## 4. Projektergebnisse

- Fertiges Webframework in PHP
- Funktionsfähiges Blog-System
- Ausführliche Dokumentation und Installationsanleitung
- Quellcode im Repository verfügbar

## 5. Abweichungen und Erfahrungen

Im Projektverlauf gab es keine wesentlichen Abweichungen vom ursprünglichen Plan. Kleinere Anpassungen wurden zeitnah umgesetzt. Die gewählte Architektur hat sich als flexibel und wartbar erwiesen.

## 6. Fazit und Ausblick

Das Projekt wurde erfolgreich abgeschlossen. Das Framework kann als Basis für weitere Webanwendungen genutzt und bei Bedarf erweitert werden. Für die Zukunft sind optionale Erweiterungen wie eine Kommentarfunktion, Benutzerregistrierung oder Medienverwaltung denkbar.

---

**Datum:** 20.06.2025  
